# == Schema Information
#
# Table name: users
#
#  id              :integer          not null, primary key
#  admin           :boolean          default(FALSE), not null
#  email_address   :string           not null
#  lang            :string           default("en")
#  password_digest :string           not null
#  username        :string
#  created_at      :datetime         not null
#  updated_at      :datetime         not null
#
# Indexes
#
#  index_users_on_email_address  (email_address) UNIQUE
#
FactoryBot.define do
  factory :user do
    username { Faker::Internet.unique.username }
    email_address { Faker::Internet.unique.email }
    password { Faker::Internet.unique.password(min_length: 12, max_length: 18) }
  end

  trait :admin do
    admin { true }
  end
end
